Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.detail.constants
Class ClassElementOpener

    java.lang.Object
      org.gjt.jclasslib.browser.detail.constants.ClassElementOpener

All Implemented Interfaces:
  ActionListener, EventListener

public class ClassElementOpener
extends Object
implements ActionListener

Component that opens named references to methods and fields.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:14:43 $
Author:
  Ingo Kegel

Constructor Summary
`ClassElementOpener(AbstractConstantInfoDetailPane detailPane)` Constructor.

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`int` | `addSpecial(AbstractConstantInfoDetailPane detailPane, int gridy)` Add an opening button to the supplied detail pane.
`void` | `setCPInfo(CPInfo cpInfo)` Set the constant pool info that is to be the source of the link.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassElementOpener

    public ClassElementOpener(AbstractConstantInfoDetailPane detailPane)

  Constructor.

Parameters:
  `detailPane` - the parent detail pane.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### addSpecial

    public int addSpecial(AbstractConstantInfoDetailPane detailPane,
                          int gridy)

  Add an opening button to the supplied detail pane.

  Parameters:
    `detailPane` - the detail pane.
    `gridy` - the current `gridy` of the `GridBagLayout` of the detail pane.
  Returns:
    the number of added rows.

### setCPInfo

    public void setCPInfo(CPInfo cpInfo)

  Set the constant pool info that is to be the source of the link.

  Parameters:
    `cpInfo` - the contant pool info.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD